#pragma once
#include <GLFW/glfw3.h>

class Engine {
public:
    // Initializes GLFW, creates a window, and sets up the OpenGL context.
    static bool Init();

    // Clears the screen.
    static void BeginFrame();

    // Swaps buffers and polls for events.
    static void EndFrame();

    // Returns the pointer to the GLFW window.
    static GLFWwindow* GetWindow();

private:
    static GLFWwindow* window;
};
